package com.ruoyi.web.work.service;

import java.util.List;

import com.ruoyi.web.work.domain.Request;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.web.work.domain.dto.ObrRequestDto;


/**
 * @author lsw
 * @date 2024-07-23
 */
public interface IRequestService extends IService<Request>{

    List<Request> selectList(Request request);

    List<Request> getRequestByCard(String card);

    List<Request> getAllRequestByPatId(Long patId);

    //根据患者id查询患者报告
    List<ObrRequestDto> getRequestByPatId(String patId, String startTime, String endTime);
}
